
void ClearEOL()

/*
 ---------------------------------------------------------------------------
 
   Last revision - 
 	30 March 1984 - GWS
 
 
   NAME
 	ClearEOL - clear to the end of line
 
   SYNOPSIS
	void ClearEOL() 
 
   DESCRIPTION
	Uses termcap(3x) routines to clear terminal screen. 
 
   SEE ALSO
	termcap(3) 
 
   DIAGNOSTICS
	If the screen doesn't clear, it didn't work. 
 
   AUTHOR
 	George W. Sherouse
 	30 March 1984
 
 ---------------------------------------------------------------------------
*/

{
    static called = 0;
    static char id[] = "ce", page_str[10];
    static char *point = page_str, **point2 = &point;
    extern char bp[1024];
    int tgetent(), tputs();
    int putchar();

    if (!called)
    {
	tgetstr(id, point2);
	called++;
    }

    (void) tputs(page_str, 1, putchar);
    return;
}
